## org.apache.batik.parser
Class LengthPairListParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.LengthParser
              org.apache.batik.parser.LengthListParser
                  org.apache.batik.parser.LengthPairListParser

All Implemented Interfaces:
  Localizable, Parser

    public class LengthPairListParser

extends LengthListParser

This class implements an event-based parser for semicolon separated length pair lists, as used in the 'values' attribute of the 'animateMotion' element.

Field Summary

Fields inherited from class org.apache.batik.parser.LengthParser
`lengthHandler`

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`LengthPairListParser()`

Method Summary
`protected void` `doParse()` Parses the given reader.

Methods inherited from class org.apache.batik.parser.LengthListParser
`getLengthListHandler, setLengthListHandler`

Methods inherited from class org.apache.batik.parser.LengthParser
`getLengthHandler, parseLength, setLengthHandler`

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LengthPairListParser

    public LengthPairListParser()

Method Detail

### doParse

    protected void doParse()
                    throws ParseException,
                           java.io.IOException

  Parses the given reader.

  Overrides:
    `doParse` in class `LengthListParser`
  Throws:
    `ParseException`
    `java.io.IOException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.